Bug 131780 - util-linux does not compile
util-linux does not compile
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: slang (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-04 09:58 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 14:11:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This fixes the linking problem (621 bytes, patch)
2004-09-04 10:00 EDT, Steve Grubb
no flags Details | Diff
This fixes the spec file. (1.10 KB, patch)
2004-09-04 10:01 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2004-09-04 09:58:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
The current rawhide version of util-linux does not compile when built
from srpm.

Additionally, WITH_SELINUX is not handled correctly.

Version-Release number of selected component (if applicable):
util-linux-2.12a-6

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -bb util-linux.spec

Actual Results: 
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/../../../libslang.so:
undefined reference to `tgetnum'
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/../../../libslang.so:
undefined reference to `tgetflag'
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/../../../libslang.so:
undefined reference to `tgetent'
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/../../../libslang.so:
undefined reference to `tgetstr'
collect2: ld returned 1 exit status
make[1]: *** [cfdisk] Error 1


Expected Results:  A message saying where the rpm was written.

Additional info:

I will attach 2 patches that fix this problem.
Comment 1 Steve Grubb 2004-09-04 10:00:59 EDT
Created attachment 103463 [details]
This fixes the linking problem
Comment 2 Steve Grubb 2004-09-04 10:01:54 EDT
Created attachment 103464 [details]
This fixes the spec file.

Please apply these patches.
Comment 3 Florian La Roche 2004-09-06 09:03:25 EDT
Why should this not be fixed in slang then?
Comment 4 Steve Grubb 2004-09-06 09:12:42 EDT
Slang is a library. You only run into this problem when you link to
it. AFAIK, you cannot solve external dependencies within the library.
You have to add the proper linkage to the CC or LD command of an
application - such as cfdisk. I would venture to say other programs
that use slang include the correct linkage.

If there is a better way to fix it, please go ahead. I'm just showing
you what fixed it for me. I'll test whatever gets released.
Comment 5 Bill Nottingham 2004-09-06 17:02:10 EDT
Sure, you can link slang against its dependent lib.
Comment 6 Eido Inoue 2004-10-14 14:11:42 EDT
this doesn't seem to be a problem with redhat environments. perhaps
you're using you're own ncurses that's built with termcap? there's no
tgetnum in our libslang.

it compiles correctly for our distros. closing.

Note You need to log in before you can comment on or make changes to this bug.